# spec file for package nodejs-nodejs-spdx

%global npm_name spdx
%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:		nodejs-spdx
Version:	0.5.1
Release:	1%{?dist}
Summary:	SPDX License Expression Syntax parser
Url:		https://github.com/kemitchell/spdx.js
Source0:    https://github.com/kemitchell/spdx.js/archive/v%{version}.tar.gz
License:	MIT

BuildArch:	noarch
ExclusiveArch:	%{nodejs_arches} noarch

BuildRequires:	nodejs-devel
BuildRequires:	nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:	npm(defence-cli)
BuildRequires:	npm(jison)
BuildRequires:	npm(replace-require-self)
%endif

BuildRequires:	npm(spdx-exceptions)
BuildRequires:	npm(spdx-license-ids)

Requires:	npm(spdx-exceptions)
Requires:	npm(spdx-license-ids)

%description
SPDX License Expression Syntax parser

%prep
%setup -q -n spdx.js-%{version}

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}

cp -pr package.json index.js \
	%{buildroot}%{nodejs_sitelib}/%{npm_name}

%{nodejs_symlink_deps}

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
node generate-parser.js > parser.generated.js
defence README.md | replace-require-self | node
%endif

%files
%{nodejs_sitelib}/spdx

%doc README.md
%license LICENSE


%changelog
* Tue Oct 18 2016 Zuzana Svetlikova <zsvetlik@redhat.com> - 0.5.1-1
- Update

